Greenbone Vulnerability Management Libraries: util/xmlutils_tests.c File Reference

Greenbone Vulnerability Management Libraries 23.7.0

Functions
xmlutils_tests.c File Reference
`#include "xmlutils.c"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`
`#include <glib/gstdio.h>`

## Functions
static gchar * | write_temp_xml (const char *xml)
| Describe (xmlutils)
| BeforeEach (xmlutils)
| AfterEach (xmlutils)
| Ensure (xmlutils, parse_entity_parses_simple_xml)
| Ensure (xmlutils, parse_entity_parses_xml_with_attributes)
| Ensure (xmlutils, parse_entity_handles_declaration)
| Ensure (xmlutils, parse_entity_handles_namespace)
| Ensure (xmlutils, parse_entity_oval_timestamp)
| Ensure (xmlutils, next_entities_handles_multiple_children)
| Ensure (xmlutils, parse_element_parses_simple_xml)
| Ensure (xmlutils, parse_element_parses_xml_with_attributes)
| Ensure (xmlutils, parse_element_handles_declaration)
| Ensure (xmlutils, parse_element_handles_namespace)
| Ensure (xmlutils, parse_element_oval_timestamp)
| Ensure (xmlutils, parse_element_item_metadata)
| Ensure (xmlutils, parse_element_item_metadata_with_namespace)
| Ensure (xmlutils, parse_element_item_handles_cdata)
| Ensure (xmlutils, element_next_handles_multiple_children)
| Ensure (xmlutils, parse_element_free_using_child)
| Ensure (xmlutils, print_element_to_string_prints)
| Ensure (xmlutils, depth1_returns_top_level_children_in_order)
| Ensure (xmlutils, depth2_returns_grandchildren)
| Ensure (xmlutils, rewind_resets_state)
int | main (int argc, char **argv)

## Function Documentation

## ◆ AfterEach()

AfterEach | ( | xmlutils |  | ) |

## ◆ BeforeEach()

BeforeEach | ( | xmlutils |  | ) |

## ◆ Describe()

Describe | ( | xmlutils |  | ) |

## ◆ Ensure() [1/20]

Ensure | ( | xmlutils | ,
|  | depth1_returns_top_level_children_in_order | )

## ◆ Ensure() [2/20]

Ensure | ( | xmlutils | ,
|  | depth2_returns_grandchildren | )

## ◆ Ensure() [3/20]

Ensure | ( | xmlutils | ,
|  | element_next_handles_multiple_children | )

## ◆ Ensure() [4/20]

Ensure | ( | xmlutils | ,
|  | next_entities_handles_multiple_children | )

## ◆ Ensure() [5/20]

Ensure | ( | xmlutils | ,
|  | parse_element_free_using_child | )

## ◆ Ensure() [6/20]

Ensure | ( | xmlutils | ,
|  | parse_element_handles_declaration | )

## ◆ Ensure() [7/20]

Ensure | ( | xmlutils | ,
|  | parse_element_handles_namespace | )

## ◆ Ensure() [8/20]

Ensure | ( | xmlutils | ,
|  | parse_element_item_handles_cdata | )

## ◆ Ensure() [9/20]

Ensure | ( | xmlutils | ,
|  | parse_element_item_metadata | )

## ◆ Ensure() [10/20]

Ensure | ( | xmlutils | ,
|  | parse_element_item_metadata_with_namespace | )

## ◆ Ensure() [11/20]

Ensure | ( | xmlutils | ,
|  | parse_element_oval_timestamp | )

## ◆ Ensure() [12/20]

Ensure | ( | xmlutils | ,
|  | parse_element_parses_simple_xml | )

## ◆ Ensure() [13/20]

Ensure | ( | xmlutils | ,
|  | parse_element_parses_xml_with_attributes | )

## ◆ Ensure() [14/20]

Ensure | ( | xmlutils | ,
|  | parse_entity_handles_declaration | )

## ◆ Ensure() [15/20]

Ensure | ( | xmlutils | ,
|  | parse_entity_handles_namespace | )

## ◆ Ensure() [16/20]

Ensure | ( | xmlutils | ,
|  | parse_entity_oval_timestamp | )

## ◆ Ensure() [17/20]

Ensure | ( | xmlutils | ,
|  | parse_entity_parses_simple_xml | )

## ◆ Ensure() [18/20]

Ensure | ( | xmlutils | ,
|  | parse_entity_parses_xml_with_attributes | )

## ◆ Ensure() [19/20]

Ensure | ( | xmlutils | ,
|  | print_element_to_string_prints | )

## ◆ Ensure() [20/20]

Ensure | ( | xmlutils | ,
|  | rewind_resets_state | )

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv )

## ◆ write_temp_xml()

gchar * write_temp_xml | ( | const char * | xml | ) |
| static